package es.verdnatura.presentation.view.feature.ticket.fragment

import android.content.Context
import es.verdnatura.domain.SalixCallback
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.common.packingSiteSalix

class TicketViewModel(val context: Context) : BaseViewModel(context) {

    fun ticketAdvancePackaging(
        ticketFk: Int, workerFk: Int

    ) {
        salix.ticket_advancePackaging(packingSiteSalix(ticketFk, workerFk))
            .enqueue(object : SalixCallback<Unit>(context) {})
    }

}
